// Code generated by mockery 2.9.4. DO NOT EDIT.

package mocks

import mock "github.com/stretchr/testify/mock"

// NetworkValidator is an autogenerated mock type for the NetworkValidator type
type NetworkValidator struct {
	mock.Mock
}

// HasA provides a mock function with given fields: host
func (_m *NetworkValidator) HasA(host string) bool {
	ret := _m.Called(host)

	var r0 bool
	if rf, ok := ret.Get(0).(func(string) bool); ok {
		r0 = rf(host)
	} else {
		r0 = ret.Get(0).(bool)
	}

	return r0
}

// HasCNAME provides a mock function with given fields: host
func (_m *NetworkValidator) HasCNAME(host string) bool {
	ret := _m.Called(host)

	var r0 bool
	if rf, ok := ret.Get(0).(func(string) bool); ok {
		r0 = rf(host)
	} else {
		r0 = ret.Get(0).(bool)
	}

	return r0
}

// HasMX provides a mock function with given fields: host
func (_m *NetworkValidator) HasMX(host string) bool {
	ret := _m.Called(host)

	var r0 bool
	if rf, ok := ret.Get(0).(func(string) bool); ok {
		r0 = rf(host)
	} else {
		r0 = ret.Get(0).(bool)
	}

	return r0
}
